/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class UpdateSubContractorRequest {
    public name: string;

    public color: string;

    public logo: string;

    public data: object;

    /**
     * Creates a UpdateSubContractorRequest.
     *
     * @param {string} name
     * @param {string} color
     * @param {string} logo
     * @param {object} data
     */
    constructor(name: string, color: string, logo: string, data: object) {
        this.name = name;
        this.color = color;
        this.logo = logo;
        this.data = data;
    }
}
